@ echo off
cls
echo.
echo.
echo.
echo     This batch file must be called with a parameter determining 
echo     the letter mapped to the root of the volume SYS of your server 
echo     (for example "Install F")
echo.
echo     Also please make sure, that the NSN is installed on your server, 
echo     and that you have enough rights to the following directories:
echo     SYS:\ETC, SYS:\SYSTEM, SYS:\NSN\USER 
echo.
echo.
echo     The drive letter for GETFTP files to be installed is: %1
echo.
echo     If you haven't entered the drive letter as parameter, 
echo     press Ctrl-C now to abort and try again
echo.

pause

cls
echo.
echo.
attrib -R %1:\system\getftp.nlm
copy getftp.nlm %1:\system\
copy getftp.bas %1:\nsn\user\
copy ftplogin.id %1:\etc\

echo.
echo.
echo    Copying GETFTP files is completed. 
echo    You may want to edit the %1:\ETC\FTPLOGIN.ID now
echo    to correct your ftp login credentials (if needed).
echo.
echo    NOTE: If you get UCX errors running the getftp.nlm,
echo    use the MAKENLM.BAT {letter mapped to the SYS volume} 
echo    to compile the GETFTP.NLM to run on your system.
echo.
pause
